##
##  perl-term.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_term_readkey       2.21
%define       V_term_inkey         1.02
%define       V_term_size          0.2
%define       V_term_query         2.0
%define       V_term_vt102         0.78
%define       V_term_ansiscreen    1.40
%define       V_term_readline_gnu  1.14
%define       V_term_readline_perl 1.0203
%define       V_io_tty             1.02
%define       V_io_stty            .02

#   package information
Name:         perl-term
Summary:      Perl Modules for use with Terminals
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030411
Release:      20030411

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Term/TermReadKey-%{V_term_readkey}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Term/Term-InKey-%{V_term_inkey}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/Term/Term-Size-%{V_term_size}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/Term/Term-Query-%{V_term_query}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/Term/Term-ANSIScreen-%{V_term_ansiscreen}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/Term/Term-VT102-%{V_term_vt102}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/IO/IO-Tty-%{V_io_tty}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/IO/IO-Stty-%{V_io_stty}.tar.gz
Source8:      http://www.cpan.org/modules/by-module/Term/Term-ReadLine-Perl-%{V_term_readline_perl}.tar.gz
Source9:      http://www.cpan.org/modules/by-module/Term/Term-ReadLine-Gnu-%{V_term_readline_gnu}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl, perl-openpkg, readline
PreReq:       OpenPKG, openpkg >= 20020206, perl, perl-openpkg
AutoReq:      no
AutoReqProv:  no

%description
    Various Perl modules for use on Terminals:
    - Term::ReadKey (%{V_term_readkey})
    - Term::InKey (%{V_term_inkey})
    - Term::Size (%{V_term_size})
    - Term::Query (%{V_term_query})
    - Term::ANSIScreen (%{V_term_ansiscreen})
    - Term::VT102 (%{V_term_vt102})
    - Term::ReadLine::Gnu (%{V_term_readline_gnu})
    - Term::ReadLine::Perl (%{V_term_readline_perl})
    - IO::Tty (%{V_io_tty})
    - IO::Pty (%{V_io_tty})
    - IO::Stty (%{V_io_stty})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup4 -q -T -D -a 4
    %setup5 -q -T -D -a 5
    %setup6 -q -T -D -a 6
    %setup7 -q -T -D -a 7
    %setup8 -q -T -D -a 8
    %setup9 -q -T -D -a 9

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE7}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE8}

    #   build Term::ReadLine::Gnu
    ( cd Term-ReadLine-Gnu-%{V_term_readline_gnu}
      %{l_prefix}/bin/perl-openpkg install \
          --includedir=%{l_prefix}/include/readline \
          --libdir=%{l_prefix}/lib
    )

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

